Privoxy 3.0.3 User Manual
Prev |  | Next

# 5. Starting Privoxy

Before launching Privoxy for the first time, you will want to configure your browser(s) to use Privoxy as a HTTP and HTTPS proxy. The default is 127.0.0.1 (or localhost) for the proxy address, and port 8118 (earlier versions used port 8000). This is the one configuration step that must be done!

Please note that Privoxy can only proxy HTTP and HTTPS traffic. It will not work with FTP or other protocols.

Figure 2. Proxy Configuration (Mozilla)

With Netscape (and Mozilla), this can be set under:

Edit
|_
Preferences
|_
Advanced
|_
Proxies
|_
HTTP Proxy

For Internet Explorer:

Tools
|_
Internet Properties
|_
Connections
|_
LAN Settings

Then, check "Use Proxy" and fill in the appropriate info (Address: 127.0.0.1, Port: 8118). Include HTTPS (SSL), if you want HTTPS proxy support too.

After doing this, flush your browser's disk and memory caches to force a re-reading of all pages and to get rid of any ads that may be cached. You are now ready to start enjoying the benefits of using Privoxy!

Privoxy is typically started by specifying the main configuration file to be used on the command line. If no configuration file is specified on the command line, Privoxy will look for a file named `config` in the current directory. Except on Win32 where it will try `config.txt`.

## 5.1. Red Hat and Conectiva

We use a script. Note that Red Hat does not start Privoxy upon booting per default. It will use the file `/etc/privoxy/config` as its main configuration file.

     # /etc/rc.d/init.d/privoxy start

## 5.2. Debian

We use a script. Note that Debian starts Privoxy upon booting per default. It will use the file `/etc/privoxy/config` as its main configuration file.

     # /etc/init.d/privoxy start

## 5.3. SuSE

We use a script. It will use the file `/etc/privoxy/config` as its main configuration file. Note that SuSE starts Privoxy upon booting your PC.

     # rcprivoxy start

## 5.4. Windows

Click on the Privoxy Icon to start Privoxy. If no configuration file is specified on the command line, Privoxy will look for a file named `config.txt`. Note that Windows will automatically start Privoxy upon booting you PC.

## 5.5. Solaris, NetBSD, FreeBSD, HP-UX and others

Example Unix startup command:

     # /usr/sbin/privoxy /etc/privoxy/config

## 5.6. OS/2

During installation, Privoxy is configured to start automatically when the system restarts. You can start it manually by double-clicking on the Privoxy icon in the Privoxy folder.

## 5.7. Mac OSX

During installation, Privoxy is configured to start automatically when the system restarts. To start Privoxy by hand, double-click on the StartPrivoxy.command icon in the /Library/Privoxy folder. Or, type this command in the Terminal:

      /Library/Privoxy/StartPrivoxy.command

You will be prompted for the administrator password.

## 5.8. AmigaOS

Start Privoxy (with RUN <>NIL:) in your `startnet` script (AmiTCP), in `s:user-startup` (RoadShow), as startup program in your startup script (Genesis), or as startup action (Miami and MiamiDx). Privoxy will automatically quit when you quit your TCP/IP stack (just ignore the harmless warning your TCP/IP stack may display that Privoxy is still running).

## 5.9. Gentoo

A script is again used. It will use the file `/etc/privoxy/config` as its main configuration file.

     /etc/init.d/privoxy start

Note that Privoxy is not automatically started at boot time by default. You can change this with the rc-update command.

     rc-update add privoxy default

## 5.10. Command Line Options

Privoxy may be invoked with the following command-line options:

- --version

  Print version info and exit. Unix only.

- --help

  Print short usage info and exit. Unix only.

- --no-daemon

  Don't become a daemon, i.e. don't fork and become process group leader, and don't detach from controlling tty. Unix only.

- --pidfile FILE

  On startup, write the process ID to FILE. Delete the FILE on exit. Failure to create or delete the FILE is non-fatal. If no FILE option is given, no PID file will be used. Unix only.

- --user USER[.GROUP]

  After (optionally) writing the PID file, assume the user ID of USER, and if included the GID of GROUP. Exit if the privileges are not sufficient to do so. Unix only.

- --chroot

  Before changing to the user ID given in the --user option, chroot to that user's home directory, i.e. make the kernel pretend to the Privoxy process that the directory tree starts there. If set up carefully, this can limit the impact of possible vulnerabilities in Privoxy to the files contained in that hierarchy. Unix only.

- configfile

  If no configfile is included on the command line, Privoxy will look for a file named "config" in the current directory (except on Win32 where it will look for "config.txt" instead). Specify full path to avoid confusion. If no config file is found, Privoxy will fail to start.

Prev | Home | Next
Quickstart to Using Privoxy |  | Privoxy Configuration